import { ChangeDetectorRef, EventEmitter, SimpleChanges } from '@angular/core';
import { MenuItem, PrimeNGConfig } from 'primeng/api';
import * as i0 from "@angular/core";
export interface IAppointment {
    id: string;
    patientId: string;
    startDate: Date;
    endDate: Date;
    name: string;
    createDate: Date;
    accountProfileId: string;
}
export declare enum CalendarView {
    Month = "month",
    Week = "week"
}
export declare class CalendarComponent {
    private cdr;
    private primengConfig;
    appointments: IAppointment[];
    items: {
        label: string;
    }[];
    startHour: number;
    endHour: number;
    timeInterval: number;
    dateSelected: EventEmitter<{
        date: Date;
        startTime: string;
    }>;
    closeModal: EventEmitter<void>;
    tabChanged: EventEmitter<string>;
    faChevronLeft: import("@fortawesome/free-solid-svg-icons").IconDefinition;
    faChevronRight: import("@fortawesome/free-solid-svg-icons").IconDefinition;
    faCirclePlus: import("@fortawesome/free-solid-svg-icons").IconDefinition;
    faCircleCheck: import("@fortawesome/free-solid-svg-icons").IconDefinition;
    viewDate: Date;
    selectedDate: Date | null;
    blinkDate: Date | null;
    selectedDateString: string;
    selectedStartTime: string | undefined;
    weekDays: string[];
    monthDays: Date[];
    currentView: CalendarView;
    timeSlots: string[];
    weeks: Date[][];
    visibleList: boolean;
    newAppointment: boolean;
    activeItem: MenuItem | undefined;
    selectedAppointments: IAppointment[];
    hoveredAppointment: any;
    tooltipStyle: any;
    private appointmentCache;
    private monthViewData;
    private weekViewData;
    private formattedDateCache;
    private cacheKeys;
    isLoading: boolean;
    CalendarView: typeof CalendarView;
    constructor(cdr: ChangeDetectorRef, primengConfig: PrimeNGConfig);
    configuraLingua(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private invalidateAppointmentCache;
    private formatDateKey;
    private cacheAppointmentData;
    private precomputeAppointments;
    private precomputeInBatches;
    private getVisibleDays;
    private precomputeForDays;
    generateView(view: CalendarView, date: Date): void;
    private isSameWeek;
    generateMonthView(date: Date): void;
    generateWeekView(date: Date): void;
    generateTimeSlots(): void;
    switchToView(view: CalendarView): void;
    startOfWeek(date: Date): Date;
    previous(): void;
    next(): void;
    isToday(date: Date): boolean;
    isPastDate(date: Date): boolean;
    isPastTime(date: Date, timeSlot: string): boolean;
    hasAppointments(date: Date): boolean;
    isTimeSlotOccupied(date: Date, timeSlot: string): boolean;
    isCurrentMonth(date: Date): boolean;
    isSameDate(date1: Date, date2: Date): boolean;
    formatDate(date: Date): string;
    extractTime(dateInput: Date): string;
    selectDate(date?: Date, startTime?: string): void;
    getAppointmentsForDate(day: Date, timeSlots: string[]): IAppointment[];
    getAppointmentDuration(appointment: any): number;
    getAppointmentHeightStyle(appointment: any): object;
    getFirstAppointmentForDate(day: Date, timeSlots: string[]): IAppointment | null;
    getAppointmentsForDataTime(date: Date, timeSlot: string): IAppointment[];
    toggleNewAppointment(): void;
    closeAppointmentModal(): void;
    viewToday(): void;
    showTooltip(appointment: any, event: MouseEvent): void;
    hideTooltip(): void;
    onActiveItemChange(event: MenuItem): void;
    ngOnInit(): void;
    dialogWidth: string;
    onResize(): void;
    setDialogWidth(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarComponent, "lib-calendar", never, { "appointments": { "alias": "appointments"; "required": false; }; "items": { "alias": "items"; "required": false; }; "startHour": { "alias": "startHour"; "required": false; }; "endHour": { "alias": "endHour"; "required": false; }; "timeInterval": { "alias": "timeInterval"; "required": false; }; }, { "dateSelected": "dateSelected"; "closeModal": "closeModal"; "tabChanged": "tabChanged"; }, never, [".custom-input", ".custom-prescription", ".save-button"], true, never>;
}
