import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDictionaryPermission } from '../DTOAccount/Dictionary/IDictionaryPermission';
import { IDictionaryProfileResponse } from '../DTOAccount/Response/IDictionaryProfileResponse';
import { IDictionaryTypeContact } from '../DTOAccount/Dictionary/IDictionaryTypeContact';
import { IDictionaryProfileRequest } from '../DTOAccount/Request/IDictionaryProfileRequest';
import * as i0 from "@angular/core";
export declare class ApiAccountDictionaryService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getPermissions(): Observable<IDictionaryPermission[]>;
    getPermissionById(id: string): Observable<IDictionaryPermission>;
    getProfiles(): Observable<IDictionaryProfileResponse[]>;
    getProfileById(id: string): Observable<IDictionaryProfileResponse>;
    getTypesContact(): Observable<IDictionaryTypeContact[]>;
    getTypeContactById(id: string): Observable<IDictionaryTypeContact>;
    postPermission(permissionRequest: IDictionaryPermission): Observable<number>;
    postProfile(profileRequest: IDictionaryProfileRequest): Observable<number>;
    postTypeContact(typeContactRequest: IDictionaryTypeContact): Observable<number>;
    deletePermission(id: number): Observable<boolean>;
    deleteProfile(id: number): Observable<boolean>;
    deleteTypeContact(id: number): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiAccountDictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiAccountDictionaryService>;
}
