import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IAccountResponse } from '../DTOAccount/Response/IAccountResponse';
import { IAccountRequest } from '../DTOAccount/Request/IAccountRequest';
import { ILoginRequest } from '../DTOAccount/Request/ILoginRequest';
import { ILoginResponse } from '../DTOAccount/Response/ILoginResponse';
import { INewTokenRequest } from '../DTOAccount/Request/INewTokenRequest';
import { IAuthenticationResponse } from '../DTOAccount/Response/IAuthenticationResponse';
import * as i0 from "@angular/core";
export declare class ApiAccountService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getAccounts(): Observable<IAccountResponse[]>;
    getAccountById(id: string): Observable<IAccountResponse>;
    getAccountByFiscalCode(fiscalCode: string): Observable<IAccountResponse>;
    getAccountByUsername(username: string): Observable<IAccountResponse>;
    postAccount(accountRequest: IAccountRequest): Observable<string>;
    postLogin(loginRequest: ILoginRequest): Observable<string | ILoginResponse>;
    postRefreshToken(refreshToken: INewTokenRequest): Observable<IAuthenticationResponse>;
    setLoginAccount(id: string): Observable<boolean>;
    deleteAccount(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiAccountService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiAccountService>;
}
