import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDictionaryRecurrencyResponse } from '../DTOExam/Response/IDictionaryRecurrencyResponse';
import { IDictionaryTypeRecurrency } from '../DTOExam/Dictionary/IDictionaryTypeRecurrency';
import { IDictionaryVitalSign } from '../DTOExam/Dictionary/IDictionaryVitalSign';
import { IDictionaryTypeAppointment } from '../DTOExam/Dictionary/IDictionaryTypeAppointment';
import { IDictionaryRecurrencyRequest } from '../DTOExam/Request/IDictionaryRecurrencyRequest';
import { IDictionaryTarget } from '../DTOExam/Response/IDictionaryTarget';
import { IDictionaryKitResponse } from '../DTOExam/Response/IDictionaryKitResponse';
import { IDictionaryComponentResponse } from '../DTOExam/Response/IDictionaryComponentResponse';
import { IDictionaryTypeComponentDTO } from '../DTOExam/Dictionary/IDictionaryTypeComponentDTO';
import { IDictionaryKitRequest } from '../DTOExam/Request/IDictionaryKitRequest';
import { IDictionaryComponentRequest } from '../DTOExam/Request/IDictionaryComponentRequest';
import * as i0 from "@angular/core";
export declare class ApiExamDictionaryService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getRecurrencies(): Observable<IDictionaryRecurrencyResponse[]>;
    getRecurrencyById(id: number): Observable<IDictionaryRecurrencyResponse>;
    getTypesRecurrency(): Observable<IDictionaryTypeRecurrency[]>;
    getTypeRecurrencyById(id: number): Observable<IDictionaryTypeRecurrency>;
    getVitalSigns(): Observable<IDictionaryVitalSign[]>;
    getVitalSignById(id: string): Observable<IDictionaryVitalSign>;
    getTypesAppointment(): Observable<IDictionaryTypeAppointment[]>;
    getTypeAppointmentById(id: number): Observable<IDictionaryTypeAppointment>;
    getTargets(): Observable<IDictionaryTarget[]>;
    getTargetById(targetId: string): Observable<IDictionaryTarget>;
    getTargetByVitalSignId(vitalSignId: string): Observable<IDictionaryTarget[]>;
    getTargetByParameters(vitalSignId: string | '', targetId: string | ''): Observable<IDictionaryTarget>;
    getKits(): Observable<IDictionaryKitResponse[]>;
    getKitById(id: string): Observable<IDictionaryKitResponse>;
    getComponents(): Observable<IDictionaryComponentResponse[]>;
    getComponentById(id: string): Observable<IDictionaryComponentResponse>;
    getComponentsByType(type: number): Observable<IDictionaryComponentResponse[]>;
    getComponentByParameters(id: string, type: number): Observable<IDictionaryComponentResponse>;
    getTypeComponent(): Observable<IDictionaryTypeComponentDTO[]>;
    getTypeComponentById(id: number): Observable<IDictionaryTypeComponentDTO>;
    postRecurrency(recurrencyRequest: IDictionaryRecurrencyRequest): Observable<number>;
    postTypeRecurrency(typeRecurrencyRequest: IDictionaryTypeRecurrency): Observable<number>;
    postVitalSign(vitalSignRequest: IDictionaryVitalSign): Observable<number>;
    postTypeAppointment(typeAppointmentRequest: IDictionaryTypeAppointment): Observable<number>;
    postComponent(componentRequest: IDictionaryComponentRequest): Observable<string>;
    postKit(kitRequest: IDictionaryKitRequest): Observable<string>;
    deleteRecurrency(id: number): Observable<boolean>;
    deleteTypeRecurrency(id: number): Observable<boolean>;
    deleteVitalSign(id: string): Observable<boolean>;
    deleteTypeAppointment(id: number): Observable<boolean>;
    deleteKit(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiExamDictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiExamDictionaryService>;
}
