import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IPatientExamResponse } from '../DTOExam/Response/IPatientExamResponse';
import { IExamValueResponse } from '../DTOExam/Response/IExamValueResponse';
import { IPatientExamRequest } from '../DTOExam/Request/IPatientExamRequest';
import { IExamValueRequest } from '../DTOExam/Request/IExamValueRequest';
import * as i0 from "@angular/core";
export declare class ApiExamService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getPatientExams(): Observable<IPatientExamResponse[]>;
    getPatientExamsByParameters(patientId: string | "", vitalSignId: string | ""): Observable<IPatientExamRequest[]>;
    getPatientExamByPatientId(patientid: string): Observable<IPatientExamResponse[]>;
    getPatientExamVitalSignId(id: string): Observable<IPatientExamResponse>;
    getExamValues(): Observable<IExamValueResponse[]>;
    getExamValueByParameters(vitalSignId: string | "", patientId: string | ""): Observable<IExamValueResponse[]>;
    getExamValueByVitalSignId(vitalSignId: string): Observable<IExamValueResponse>;
    getExamValueByPatientId(patientId: string): Observable<IExamValueResponse[]>;
    postPatientExams(patientExamRequest: IPatientExamRequest): Observable<string>;
    postExamValue(examValueRequest: IExamValueRequest): Observable<string>;
    setPatientExam(id: string): Observable<boolean>;
    setExamValue(patientId: string): Observable<boolean>;
    deletePatientExam(id: string): Observable<boolean>;
    deleteExamValue(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiExamService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiExamService>;
}
