import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IAslResponse } from '../DTOGeography/Response/IAslResponse';
import { IDistrictResponse } from '../DTOGeography/Response/IDistrictResponse';
import { ICommonResponse } from '../DTOGeography/Response/ICommonResponse';
import { ICountryResponse } from '../DTOGeography/Response/ICountryResponse';
import { IProvinceResponse } from '../DTOGeography/Response/IProvinceResponse';
import { IRegionResponse } from '../DTOGeography/Response/IRegionResponse';
import { IAslRequest } from '../DTOGeography/Request/IAslRequest';
import { IDistrictRequest } from '../DTOGeography/Request/IDistrictRequest';
import { ICommonRequest } from '../DTOGeography/Request/ICommonRequest';
import { ICountryRequest } from '../DTOGeography/Request/ICountryRequest';
import { IProvinceRequest } from '../DTOGeography/Request/IProvinceRequest';
import { IRegionRequest } from '../DTOGeography/Request/IRegionRequest';
import * as i0 from "@angular/core";
export declare class ApiGeographyService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getAsls(): Observable<IAslResponse[]>;
    getAslById(id: string): Observable<IAslResponse>;
    getAslByName(name: string): Observable<IAslResponse>;
    getAslByCommonId(commonId: string): Observable<IAslResponse[]>;
    getDistricts(): Observable<IDistrictResponse[]>;
    getDistrictById(id: string): Observable<IDistrictResponse>;
    getDistrictByName(name: string): Observable<IDistrictResponse>;
    getDistrictByAslId(aslId: string): Observable<IDistrictResponse[]>;
    getCommons(): Observable<ICommonResponse[]>;
    getCommonByParameters(provinceId: string | "", regionId: string | ""): Observable<ICommonResponse[]>;
    getCommonById(id: string): Observable<ICommonResponse>;
    getCommonByName(name: string): Observable<ICommonResponse>;
    getCommonByProvinceId(provinceId: string): Observable<ICommonResponse[]>;
    getCommonByRegionId(regionId: string): Observable<ICommonResponse[]>;
    getCountries(): Observable<ICountryResponse[]>;
    getCountryById(id: string): Observable<ICountryResponse>;
    getCountryByName(name: string): Observable<ICountryResponse>;
    getProvinces(): Observable<IProvinceResponse[]>;
    getProvinceById(id: string): Observable<IProvinceResponse>;
    getProvinceByName(name: string): Observable<IProvinceResponse>;
    getProvinceByRegionId(regionId: string): Observable<IProvinceResponse[]>;
    getRegions(): Observable<IRegionResponse[]>;
    getRegionById(id: string): Observable<IRegionResponse>;
    getRegionByName(name: string): Observable<IRegionResponse>;
    getRegionByCountryId(countryId: string): Observable<IRegionResponse[]>;
    postAsl(aslRequest: IAslRequest): Observable<string>;
    postDistrict(districtRequest: IDistrictRequest): Observable<string>;
    postCommon(commonRequest: ICommonRequest): Observable<string>;
    postCountry(countryRequest: ICountryRequest): Observable<string>;
    postProvince(provinceRequest: IProvinceRequest): Observable<string>;
    postRegion(regionRequest: IRegionRequest): Observable<string>;
    deleteAsl(id: string): Observable<boolean>;
    deleteDistrict(id: string): Observable<boolean>;
    deleteCommon(id: string): Observable<boolean>;
    deleteCountry(id: string): Observable<boolean>;
    deleteProvince(id: string): Observable<boolean>;
    deleteRegion(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiGeographyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiGeographyService>;
}
