import { HttpClient } from "@angular/common/http";
import { IPatientDataRequest } from "../DTOPatient/Request/IPatientDataRequest";
import { Observable } from "rxjs";
import { IPatientIdentifierRequest } from "../DTOPatient/Request/IPatientIdentifierRequest";
import { IPatientContactRequest } from "../DTOPatient/Request/IPatientContactRequest";
import { IPatientIdentifierResponse } from "../DTOPatient/Response/IPatientIdentifierResponse";
import { IPatientContactResponse } from "../DTOPatient/Response/IPatientContactResponse";
import { IPatientAddressResponse } from "../DTOPatient/Response/IPatientAddressResponse";
import { IPatientAddressRequest } from "../DTOPatient/Request/IPatientAddressRequest";
import * as i0 from "@angular/core";
export declare class ApiAdministrationService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getPatientIdentifiers(): Observable<IPatientIdentifierResponse[]>;
    getPatientIdentifierByParameters(patientId: string | '', identifierId: number | 0): Observable<IPatientIdentifierResponse[]>;
    getPatientContacts(): Observable<IPatientContactResponse[]>;
    getPatientContactByParameters(patientId: string | '', contactId: number | 0): Observable<IPatientContactResponse[]>;
    getPatientAddresses(): Observable<IPatientAddressResponse[]>;
    getPatientAddressByParameters(patientId: string | '', addressId: number | 0): Observable<IPatientAddressResponse[]>;
    postPatientData(patientDataRequest: IPatientDataRequest): Observable<boolean>;
    postPatientIdentifier(patientIdentifierRequest: IPatientIdentifierRequest): Observable<boolean>;
    postPatientContact(patientContactRequest: IPatientContactRequest): Observable<boolean>;
    postPatientAddress(patientAddressRequest: IPatientAddressRequest): Observable<boolean>;
    putPatientIdentifier(patientIdentifierRequest: IPatientIdentifierRequest): Observable<boolean>;
    putPatientContact(patientContactRequest: IPatientContactRequest): Observable<boolean>;
    putPatientAddress(patientAddressRequest: IPatientAddressRequest): Observable<boolean>;
    deletePatientIdentifier(patientId: string, identifierId: number): Observable<boolean>;
    deletePatientContact(contactId: number): Observable<boolean>;
    deletePatientAddress(patientId: string, typeAddressId: number): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiAdministrationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiAdministrationService>;
}
