import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDictionaryIdentifier } from '../DTOPatient/Dictionary/IDictionaryIdentifier';
import { IDictionaryTypeAddress } from '../DTOPatient/Dictionary/IDictionaryTypeAddress';
import { IDictionaryTypeContact } from '../DTOPatient/Dictionary/IDictionaryTypeContact';
import { IDictionarySetting } from '../DTOPatient/Dictionary/IDictionarySetting';
import { IDictionarySettingStatus } from '../DTOPatient/Dictionary/IDictionarySettingStatus';
import * as i0 from "@angular/core";
export declare class ApiPatientDictionaryService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getIdentifiers(): Observable<IDictionaryIdentifier[]>;
    getDictionaryIdentifierById(identifierId: number): Observable<IDictionaryIdentifier>;
    getDictionaryTypesAddress(): Observable<IDictionaryTypeAddress[]>;
    getDictionaryTypeAddressById(addressId: number): Observable<IDictionaryTypeAddress>;
    getDictionaryTypesContact(): Observable<IDictionaryTypeContact[]>;
    getDictionaryTypeContactById(contactId: number): Observable<IDictionaryTypeContact>;
    getSettingBySenderReceiver(sender: boolean, receiver: boolean): Observable<IDictionarySetting[]>;
    getSettingById(id: string): Observable<IDictionarySetting>;
    getSettingStatus(): Observable<IDictionarySettingStatus[]>;
    getSettingStatusById(id: number): Observable<IDictionarySettingStatus>;
    postDictionaryIdentifier(dictionaryIdentifierRequest: IDictionaryIdentifier): Observable<number>;
    postDictionaryTypeAddress(dictionaryTypeAddressRequest: IDictionaryTypeAddress): Observable<number>;
    postDictionaryTypeContact(dictionaryTypeContactRequest: IDictionaryTypeContact): Observable<number>;
    postDictionarySetting(dictionarySetting: IDictionarySetting): Observable<string>;
    postDictionarySettingStatus(dictionarySettingStatus: IDictionarySettingStatus): Observable<number>;
    deleteIdentifier(identifierId: number): Observable<boolean>;
    deleteTypeAddress(addressId: number): Observable<boolean>;
    deleteTypeContact(contactId: number): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiPatientDictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiPatientDictionaryService>;
}
