import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IPatientResponse } from '../DTOPatient/Response/IPatientResponse';
import { IPatientRequest } from '../DTOPatient/Request/IPatientRequest';
import { ITargetResponse } from '../DTOPatient/Response/ITargetResponse';
import { ISettingResponse } from '../DTOPatient/Response/ISettingResponse';
import { ISettingRequest } from '../DTOPatient/Request/ISettingRequest';
import { ICaregiverDTO } from '../DTOPatient/ICaregiverDTO';
import { IAnnotationResponse } from '../DTOPatient/Response/IAnnotationResponse';
import { IAnnotationRequest } from '../DTOPatient/Request/IAnnotationRequest';
import { IAlertResponse } from '../DTOPatient/Response/IAlertResponse';
import * as i0 from "@angular/core";
export declare class ApiPatientService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getPatients(): Observable<IPatientResponse[]>;
    getPatientById(id: string): Observable<IPatientResponse>;
    getPatientByFiscalCode(fiscalcode: string): Observable<IPatientResponse>;
    getTargets(): Observable<ITargetResponse[]>;
    getTargetByPatientId(patientId: string): Observable<ITargetResponse[]>;
    getTargetByParameters(patientId: string | '', targetId: string | ''): Observable<ITargetResponse[]>;
    getSettingByPatientId(patientId: string): Observable<ISettingResponse[]>;
    getSettingById(id: number): Observable<ISettingResponse>;
    getCaregiverById(id: string): Observable<ICaregiverDTO>;
    getNotes(): Observable<IAnnotationResponse[]>;
    getNotesByPatientId(patientId: string): Observable<IAnnotationResponse[]>;
    getLogs(): Observable<IAnnotationResponse[]>;
    getLogsByPatientId(patientId: string): Observable<IAnnotationResponse[]>;
    getAlerts(): Observable<IAlertResponse[]>;
    getAlertsByPatientId(patientId: string): Observable<IAlertResponse[]>;
    postPatient(patientRequest: IPatientRequest): Observable<number>;
    postTarget(targetRequest: ITargetResponse): Observable<boolean>;
    postSetting(settingRequest: ISettingRequest): Observable<number>;
    postCaregiver(dictionaryCaregiver: ICaregiverDTO): Observable<boolean>;
    postNote(annotationRequest: IAnnotationRequest): Observable<string>;
    postLog(annotationRequest: IAnnotationRequest): Observable<string>;
    putAlert(patientId: string): Observable<boolean>;
    deletePatient(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiPatientService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiPatientService>;
}
