import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDictionaryOutcome } from '../DTORequest/Dictionary/IDictionaryOutcome ';
import { IDictionaryStatus } from '../DTORequest/Dictionary/IDictionaryStatus';
import { IDictionaryTypeRequest } from '../DTORequest/Dictionary/IDictionaryTypeRequest';
import { IOutcomeRequestTypeResponse } from '../DTORequest/Response/IOutcomeRequestTypeResponse';
import { IDictionaryPriority } from '../DTORequest/Dictionary/IDictionaryPriority';
import { IOutcomeRequestTypeRequest } from '../DTORequest/Request/IOutcomeRequestTypeRequest';
import { IDTOKey } from '../DTORequest/IDTOKey';
import * as i0 from "@angular/core";
export declare class ApiRequestDictionaryService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getKeys(): Observable<IDTOKey[]>;
    getKeyByParameters(patientId: string | "", accessId: string | "", requestId: string | "", spoke: string | ""): Observable<IDTOKey[]>;
    getKeyById(id: string): Observable<IDTOKey>;
    getKeyByPatientId(patientId: string): Observable<IDTOKey>;
    getKeyByAccessId(accessId: string): Observable<IDTOKey>;
    getKeyByRequestId(requestId: string): Observable<IDTOKey>;
    getKeyBySpoke(spoke: string): Observable<IDTOKey>;
    getOutcomes(): Observable<IDictionaryOutcome[]>;
    getOutcomeById(id: string): Observable<IDictionaryOutcome>;
    getStatus(): Observable<IDictionaryStatus[]>;
    getStatusById(id: string): Observable<IDictionaryStatus>;
    getTypesRequest(): Observable<IDictionaryTypeRequest[]>;
    getTypeRequestById(id: string): Observable<IDictionaryTypeRequest>;
    getTypeRequestOutcome(): Observable<IOutcomeRequestTypeResponse[]>;
    getTypeRequestOutcomeById(id: string): Observable<IOutcomeRequestTypeResponse>;
    getPriorities(): Observable<IDictionaryPriority[]>;
    getPriority(id: string): Observable<IDictionaryPriority>;
    postKey(dictionaryKey: IDTOKey): Observable<number>;
    postOutcome(dictionaryOutcome: IDictionaryOutcome): Observable<number>;
    postStatus(dictionaryStatus: IDictionaryStatus): Observable<number>;
    postTypeRequest(dictionaryTypeRequest: IDictionaryTypeRequest): Observable<number>;
    postTypeRequestOutcome(dictionaryTypeRequestOutcome: IOutcomeRequestTypeRequest): Observable<number>;
    postPriority(dictionaryPriority: IDictionaryPriority): Observable<number>;
    putKey(dictionaryKey: IDTOKey): Observable<string>;
    deleteKey(key: string): Observable<boolean>;
    deleteOutcome(id: string): Observable<boolean>;
    deleteStatus(id: string): Observable<boolean>;
    deleteTypeRequest(id: string): Observable<boolean>;
    deleteTypeRequestOutcome(id: string): Observable<boolean>;
    deletePriority(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiRequestDictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiRequestDictionaryService>;
}
