import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IRequestResponse } from '../DTORequest/Response/IRequestResponse';
import { IRequestRequest } from '../DTORequest/Request/IRequestRequest';
import * as i0 from "@angular/core";
export declare class ApiRequestService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getRequests(): Observable<IRequestResponse[]>;
    getRequestByParameters(statusId: string | "", typeId: string | ""): Observable<IRequestResponse[]>;
    getRequestByKey(key: string): Observable<IRequestResponse>;
    getRequestsByStatus(statusId: string): Observable<IRequestResponse>;
    getRequestByType(typeId: number): Observable<IRequestResponse>;
    postRequest(requestRequest: IRequestRequest, accountProfileId: string | ""): Observable<string>;
    setRequestStatus(requestId: string, statusId: number, accountProfileId: string | ""): Observable<boolean>;
    deleteRequest(key: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiRequestService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiRequestService>;
}
