import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDictionaryQuestionResponse } from '../DTOSurvey/Response/IDictionaryQuestionResponse';
import { IDictionaryStepResponse } from '../DTOSurvey/Response/IDictionaryStepResponse';
import { bool } from 'aws-sdk/clients/signer';
import { IPatientSurveyResponse } from '../DTOSurvey/Response/IPatientSurveyResponse';
import { IPatientSurveyRequest } from '../DTOSurvey/Request/IPatientSurveyRequest';
import * as i0 from "@angular/core";
export declare class ApiSurveyService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getQuestionByParameters(typeSurvey: number | "", stepNumber: number | ""): Observable<IDictionaryQuestionResponse[]>;
    getQuestionByTypeSurvey(typeSurvey: number): Observable<IDictionaryQuestionResponse[]>;
    getQuestionByQuestionId(questionId: number): Observable<IDictionaryQuestionResponse[]>;
    getStepByTypeSurvey(typeSurvey: number): Observable<IDictionaryStepResponse[]>;
    getStepByStepNumber(stepNumber: number): Observable<IDictionaryStepResponse[]>;
    getSurvey(patientId: string | "", surveyType: number | "", surveyId: string | "", lastSurvey: false): Observable<IPatientSurveyResponse[]>;
    getSurveyById(surveyId: string): Observable<IPatientSurveyResponse>;
    getLastSurvey(patientId: string, surveyType: number, lastSurvey: true): Observable<IPatientSurveyResponse[]>;
    postSurvey(patientSurveyRequest: IPatientSurveyRequest): Observable<bool>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiSurveyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiSurveyService>;
}
